Bug 239842 - Crash in KInotify::Private::addWatchesRecursively
Summary: Crash in KInotify::Private::addWatchesRecursively
Status: RESOLVED FIXED
Alias: None
Product: nepomuk
Classification: Unclassified
Component: filewatch (show other bugs)
Version: 4.8
Platform: Fedora RPMs Linux
: NOR crash with 22 votes (vote)
Target Milestone: ---
Assignee: Sebastian Trueg
URL:
Keywords:
: 243505 245714 246818 247343 251581 251634 258236 258747 261253 262458 262923 262925 263267 264346 264586 266037 266471 267646 270647 270940 271282 276344 278395 280384 282260 286877 300318 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-05-28 10:11 UTC by mps
Modified: 2012-07-06 16:36 UTC (History)
33 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (6.11 KB, text/plain)
2010-08-23 11:18 UTC, Alex Ball
Details
New crash information added by DrKonqi (4.45 KB, text/plain)
2010-11-27 15:43 UTC, mps
Details
Backtrace (3.97 KB, text/plain)
2011-01-10 14:36 UTC, Michał Zając
Details
Patch attempting to fix the crash (1.08 KB, patch)
2011-01-14 19:19 UTC, Sebastian Trueg
Details
New crash information added by DrKonqi (4.67 KB, text/plain)
2011-01-15 23:06 UTC, ojrajala
Details
New crash information added by DrKonqi (15.79 KB, text/plain)
2011-01-21 19:04 UTC, Arne Babenhauserheide
Details
New crash information added by DrKonqi (4.29 KB, text/plain)
2011-02-03 16:35 UTC, Gerhard Riener
Details
New crash information added by DrKonqi (4.65 KB, text/plain)
2011-02-05 10:27 UTC, Pavel Kolotnev
Details
New crash information added by DrKonqi (4.53 KB, text/plain)
2011-02-12 22:49 UTC, Juan De la Cruz
Details
Patch against kde-runtime/nepomuk (520 bytes, patch)
2011-09-19 08:01 UTC, Sebastian Trueg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mps 2010-05-28 10:11:27 UTC
Application: nepomukservicestub (0.2)
KDE Platform Version: 4.4.80 (KDE 4.4.80 (KDE 4.5 Beta1))
Qt Version: 4.7.0
Operating System: Linux 2.6.33.3-85.fc13.x86_64 x86_64
Distribution (Platform): Fedora RPMs

-- Information about the crash:
- What I was doing when the application crashed:

Enabling nepomuk and strigi results in repeated crashes in nepomuckservicestub. 

Possibly linked to https://bugzilla.redhat.com/show_bug.cgi?id=584400 though that was with kde 4.4.3 and qt 4.6, this crash is with 4.4.80 and qt 4.7

The crash can be reproduced every time.

-- Backtrace:
Application: Nepomuk Service Stub (nepomukservicestub), signal: Aborted
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7f51e14ca820 (LWP 24032))]

Thread 2 (Thread 0x7f51d5b86710 (LWP 24039)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x000000325a87361b in wait (this=<value optimized out>, mutex=0x263da80, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x263da80, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f51d5b91737 in Nepomuk::MetadataMover::run (this=0x263da60) at /usr/src/debug/kdebase-runtime-4.4.80/nepomuk/services/filewatch/metadatamover.cpp:160
#4  0x000000325a872afe in QThreadPrivate::start (arg=0x263da60) at thread/qthread_unix.cpp:266
#5  0x000000343ca07761 in start_thread (arg=0x7f51d5b86710) at pthread_create.c:301
#6  0x000000343bae150d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7f51e14ca820 (LWP 24032)):
[KCrash Handler]
#6  0x000000343ba329c5 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x000000343ba341a5 in abort () at abort.c:92
#8  0x000000343ba6fe2b in __libc_message (do_abort=2, fmt=0x343bb43a78 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:186
#9  0x000000343ba75746 in malloc_printerr (action=3, str=0x343bb41bc5 "free(): invalid pointer", ptr=<value optimized out>) at malloc.c:6280
#10 0x00007f51d5b9756a in KInotify::Private::addWatchesRecursively(QByteArray const&) () from /usr/lib64/kde4/nepomukfilewatch.so
#11 0x00007f51d5b96792 in _k_addWatches (this=<value optimized out>, _c=<value optimized out>, _id=15, _a=<value optimized out>)
    at /usr/src/debug/kdebase-runtime-4.4.80/nepomuk/services/filewatch/kinotify.cpp:179
#12 KInotify::qt_metacall (this=<value optimized out>, _c=<value optimized out>, _id=15, _a=<value optimized out>)
    at /usr/src/debug/kdebase-runtime-4.4.80/x86_64-redhat-linux-gnu/nepomuk/services/filewatch/kinotify.moc:118
#13 0x000000325a969441 in QObject::event (this=0x263e940, e=0x27c2650) at kernel/qobject.cpp:1244
#14 0x000000325c1b163c in QApplicationPrivate::notify_helper (this=0x24dbd70, receiver=0x263e940, e=0x27c2650) at kernel/qapplication.cpp:4345
#15 0x000000325c1b74dd in QApplication::notify (this=<value optimized out>, receiver=0x263e940, e=0x27c2650) at kernel/qapplication.cpp:4228
#16 0x000000325d41bf76 in KApplication::notify (this=0x7fff6cb0fa20, receiver=0x263e940, event=0x27c2650) at /usr/src/debug/kdelibs-4.4.80/kdeui/kernel/kapplication.cpp:302
#17 0x000000325a957e9c in QCoreApplication::notifyInternal (this=0x7fff6cb0fa20, receiver=0x263e940, event=0x27c2650) at kernel/qcoreapplication.cpp:726
#18 0x000000325a95abf4 in sendEvent (receiver=0x0, event_type=0, data=0x24c4a90) at kernel/qcoreapplication.h:215
#19 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x24c4a90) at kernel/qcoreapplication.cpp:1367
#20 0x000000325a97fee3 in sendPostedEvents (s=<value optimized out>) at kernel/qcoreapplication.h:220
#21 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:276
#22 0x000000343da3bd02 in g_main_dispatch (context=0x24de920) at gmain.c:1960
#23 IA__g_main_context_dispatch (context=0x24de920) at gmain.c:2513
#24 0x000000343da3fae8 in g_main_context_iterate (context=0x24de920, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2591
#25 0x000000343da3fc9c in IA__g_main_context_iteration (context=0x24de920, may_block=1) at gmain.c:2654
#26 0x000000325a97fa23 in QEventDispatcherGlib::processEvents (this=0x24c4140, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#27 0x000000325c2522be in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#28 0x000000325a956cf2 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#29 0x000000325a956fbc in QEventLoop::exec (this=0x7fff6cb0f820, flags=...) at kernel/qeventloop.cpp:201
#30 0x000000325a95aedb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#31 0x0000000000403791 in main (argc=2, argv=0x7fff6cb0fe48) at /usr/src/debug/kdebase-runtime-4.4.80/nepomuk/servicestub/main.cpp:152

Reported using DrKonqi
Comment 1 Sebastian Trueg 2010-05-28 10:45:20 UTC
Please run the service manually in a debugger and provide both the console output and the backtrace (while the provided backtrace is pretty detailed it is missing the most important bit: the line in which addWatchesRecursively crashes):

$ gdb --args nepomukservicestub nepomukfilewatch

and then

$ run
Comment 2 mps 2010-05-28 14:36:32 UTC
Here you go. Hope it helps.

 gdb --args nepomukservicestub nepomukfilewatch
GNU gdb (GDB) Fedora (7.1-18.fc13)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/nepomukservicestub...Reading symbols from /usr/lib/debug/usr/bin/nepomukservicestub.debug...done.
done.
(gdb) run
Starting program: /usr/bin/nepomukservicestub nepomukfilewatch
[Thread debugging using libthread_db enabled]
[New Thread 0x7fffec601710 (LWP 5167)]
[New Thread 0x7fffebc00710 (LWP 5168)]
*** glibc detected *** /usr/bin/nepomukservicestub: free(): invalid pointer: 0x000000000093efa0 ***
======= Backtrace: =========
/lib64/libc.so.6[0x343ba75746]
/usr/lib64/kde4/nepomukfilewatch.so(+0x1056a)[0x7fffec61256a]
/usr/lib64/kde4/nepomukfilewatch.so(+0xf792)[0x7fffec611792]
/usr/lib64/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x381)[0x325a969441]
/usr/lib64/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xac)[0x325c1b163c]
/usr/lib64/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x14d)[0x325c1b74dd]
/usr/lib64/libkdeui.so.5(_ZN12KApplication6notifyEP7QObjectP6QEvent+0x36)[0x325d41bf76]
/usr/lib64/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c)[0x325a957e9c]
/usr/lib64/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x2a4)[0x325a95abf4]
/usr/lib64/libQtCore.so.4[0x325a97fee3]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x1f2)[0x343da3bd02]
/lib64/libglib-2.0.so.0[0x343da3fae8]
/lib64/libglib-2.0.so.0(g_main_context_iteration+0x6c)[0x343da3fc9c]
/usr/lib64/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x73)[0x325a97fa23]
/usr/lib64/libQtGui.so.4[0x325c2522be]
/usr/lib64/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x32)[0x325a956cf2]
/usr/lib64/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xdc)[0x325a956fbc]
/usr/lib64/libQtCore.so.4(_ZN16QCoreApplication4execEv+0xbb)[0x325a95aedb]
/usr/bin/nepomukservicestub[0x403791]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x343ba1ec5d]
/usr/bin/nepomukservicestub[0x402b99]
======= Memory map: ========
00400000-00406000 r-xp 00000000 fd:01 65484                              /usr/bin/nepomukservicestub
00605000-00622000 rw-p 00005000 fd:01 65484                              /usr/bin/nepomukservicestub
00622000-009a2000 rw-p 00000000 00:00 0                                  [heap]
321ce00000-321ce04000 r-xp 00000000 fd:01 4865                           /lib64/libuuid.so.1.3.0
321ce04000-321d003000 ---p 00004000 fd:01 4865                           /lib64/libuuid.so.1.3.0
321d003000-321d004000 rw-p 00003000 fd:01 4865                           /lib64/libuuid.so.1.3.0
321d200000-321d207000 r-xp 00000000 fd:01 4895                           /usr/lib64/libSM.so.6.0.0
321d207000-321d407000 ---p 00007000 fd:01 4895                           /usr/lib64/libSM.so.6.0.0
321d407000-321d408000 rw-p 00007000 fd:01 4895                           /usr/lib64/libSM.so.6.0.0
3243000000-32430c3000 r-xp 00000000 fd:01 95449                          /usr/lib64/libIlmImf.so.6.0.0
32430c3000-32432c3000 ---p 000c3000 fd:01 95449                          /usr/lib64/libIlmImf.so.6.0.0
32432c3000-32432c7000 rw-p 000c3000 fd:01 95449                          /usr/lib64/libIlmImf.so.6.0.0
324ac00000-324ac04000 r-xp 00000000 fd:01 95446                          /usr/lib64/libImath.so.6.0.0
324ac04000-324ae04000 ---p 00004000 fd:01 95446                          /usr/lib64/libImath.so.6.0.0
324ae04000-324ae05000 rw-p 00004000 fd:01 95446                          /usr/lib64/libImath.so.6.0.0
324d800000-324d842000 r-xp 00000000 fd:01 95447                          /usr/lib64/libHalf.so.6.0.0
324d842000-324da41000 ---p 00042000 fd:01 95447                          /usr/lib64/libHalf.so.6.0.0
324da41000-324da42000 rw-p 00041000 fd:01 95447                          /usr/lib64/libHalf.so.6.0.0
324dc00000-324dc1a000 r-xp 00000000 fd:01 38952                          /usr/lib64/libIex.so.6.0.0
324dc1a000-324de19000 ---p 0001a000 fd:01 38952                          /usr/lib64/libIex.so.6.0.0
324de19000-324de1d000 rw-p 00019000 fd:01 38952                          /usr/lib64/libIex.so.6.0.0
324e400000-324e406000 r-xp 00000000 fd:01 95448                          /usr/lib64/libIlmThread.so.6.0.0
324e406000-324e605000 ---p 00006000 fd:01 95448                          /usr/lib64/libIlmThread.so.6.0.0
324e605000-324e606000 rw-p 00005000 fd:01 95448                          /usr/lib64/libIlmThread.so.6.0.0
325a800000-325aa77000 r-xp 00000000 fd:01 4734                           /usr/lib64/libQtCore.so.4.7.0
325aa77000-325ac77000 ---p 00277000 fd:01 4734                           /usr/lib64/libQtCore.so.4.7.0
325ac77000-325ac83000 rw-p 00277000 fd:01 4734                           /usr/lib64/libQtCore.so.4.7.0
325ae00000-325ae40000 r-xp 00000000 fd:01 6524                           /usr/lib64/libQtXml.so.4.7.0
325ae40000-325b040000 ---p 00040000 fd:01 6524                           /usr/lib64/libQtXml.so.4.7.0
325b040000-325b042000 rw-p 00040000 fd:01 6524                           /usr/lib64/libQtXml.so.4.7.0
325b200000-325b271000 r-xp 00000000 fd:01 6637                           /usr/lib64/libQtDBus.so.4.7.0
325b271000-325b471000 ---p 00071000 fd:01 6637                           /usr/lib64/libQtDBus.so.4.7.0
325b471000-325b473000 rw-p 00071000 fd:01 6637                           /usr/lib64/libQtDBus.so.4.7.0
325b600000-325b72a000 r-xp 00000000 fd:01 5808                           /usr/lib64/libQtNetwork.so.4.7.0
325b72a000-325b92a000 ---p 0012a000 fd:01 5808                           /usr/lib64/libQtNetwork.so.4.7.0
325b92a000-325b931000 rw-p 0012a000 fd:01 5808                           /usr/lib64/libQtNetwork.so.4.7.0
325ba00000-325bc98000 r-xp 00000000 fd:01 6921                           /usr/lib64/libkdecore.so.5.5.0
325bc98000-325be98000 ---p 00298000 fd:01 6921                           /usr/lib64/libkdecore.so.5.5.0
325be98000-325beaf000 rw-p 00298000 fd:01 6921                           /usr/lib64/libkdecore.so.5.5.0
325beaf000-325beb0000 rw-p 00000000 00:00 0 
325c000000-325ca21000 r-xp 00000000 fd:01 6943                           /usr/lib64/libQtGui.so.4.7.0
325ca21000-325cc21000 ---p 00a21000 fd:01 6943                           /usr/lib64/libQtGui.so.4.7.0
325cc21000-325cc66000 rw-p 00a21000 fd:01 6943                           /usr/lib64/libQtGui.so.4.7.0
325cc66000-325cc69000 rw-p 00000000 00:00 0 
325ce00000-325ce20000 r-xp 00000000 fd:01 7598                           /usr/lib64/libdbusmenu-qt.so.2.0.3
325ce20000-325d020000 ---p 00020000 fd:01 7598                           /usr/lib64/libdbusmenu-qt.so.2.0.3
325d020000-325d021000 rw-p 00020000 fd:01 7598                           /usr/lib64/libdbusmenu-qt.so.2.0.3
325d200000-325d5ee000 r-xp 00000000 fd:01 7601                           /usr/lib64/libkdeui.so.5.5.0
325d5ee000-325d7ee000 ---p 003ee000 fd:01 7601                           /usr/lib64/libkdeui.so.5.5.0
325d7ee000-325d81f000 rw-p 003ee000 fd:01 7601                           /usr/lib64/libkdeui.so.5.5.0
Program received signal SIGABRT, Aborted.
0x000000343ba329c5 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64        return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);


(gdb) bt
#0  0x000000343ba329c5 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x000000343ba341a5 in abort () at abort.c:92
#2  0x000000343ba6fe2b in __libc_message (do_abort=2, 
    fmt=0x343bb43a78 "*** glibc detected *** %s: %s: 0x%s ***\n")
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:186
#3  0x000000343ba75746 in malloc_printerr (action=3, str=0x343bb41bc5 "free(): invalid pointer", 
    ptr=<value optimized out>) at malloc.c:6280
#4  0x00007fffec61256a in KInotify::Private::addWatchesRecursively(QByteArray const&) ()
   from /usr/lib64/kde4/nepomukfilewatch.so
#5  0x00007fffec611792 in _k_addWatches (this=<value optimized out>, _c=<value optimized out>, _id=15, 
    _a=<value optimized out>)
    at /usr/src/debug/kdebase-runtime-4.4.80/nepomuk/services/filewatch/kinotify.cpp:179
#6  KInotify::qt_metacall (this=<value optimized out>, _c=<value optimized out>, _id=15, 
    _a=<value optimized out>)
    at /usr/src/debug/kdebase-runtime-4.4.80/x86_64-redhat-linux-gnu/nepomuk/services/filewatch/kinotify.moc:118
#7  0x000000325a969441 in QObject::event (this=0x7bcb90, e=0x93ec70) at kernel/qobject.cpp:1244
#8  0x000000325c1b163c in QApplicationPrivate::notify_helper (this=0x63bd70, receiver=0x7bcb90, 
    e=0x93ec70) at kernel/qapplication.cpp:4345
#9  0x000000325c1b74dd in QApplication::notify (this=<value optimized out>, receiver=0x7bcb90, 
    e=0x93ec70) at kernel/qapplication.cpp:4228
#10 0x000000325d41bf76 in KApplication::notify (this=0x7fffffffdb70, receiver=0x7bcb90, event=0x93ec70)
    at /usr/src/debug/kdelibs-4.4.80/kdeui/kernel/kapplication.cpp:302
#11 0x000000325a957e9c in QCoreApplication::notifyInternal (this=0x7fffffffdb70, receiver=0x7bcb90, 
    event=0x93ec70) at kernel/qcoreapplication.cpp:726
#12 0x000000325a95abf4 in sendEvent (receiver=0x0, event_type=0, data=0x624a90)
    at kernel/qcoreapplication.h:215
#13 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x624a90)
    at kernel/qcoreapplication.cpp:1367
#14 0x000000325a97fee3 in sendPostedEvents (s=<value optimized out>) at kernel/qcoreapplication.h:220
#15 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:276
#16 0x000000343da3bd02 in g_main_dispatch (context=0x63e920) at gmain.c:1960
#17 IA__g_main_context_dispatch (context=0x63e920) at gmain.c:2513
#18 0x000000343da3fae8 in g_main_context_iterate (context=0x63e920, block=1, dispatch=1, 
    self=<value optimized out>) at gmain.c:2591
#19 0x000000343da3fc9c in IA__g_main_context_iteration (context=0x63e920, may_block=1) at gmain.c:2654
---Type <return> to continue, or q <return> to quit---
#20 0x000000325a97fa23 in QEventDispatcherGlib::processEvents (this=0x624140, 
    flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#21 0x000000325c2522be in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, 
    flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#22 0x000000325a956cf2 in QEventLoop::processEvents (this=<value optimized out>, flags=...)
    at kernel/qeventloop.cpp:149
#23 0x000000325a956fbc in QEventLoop::exec (this=0x7fffffffd970, flags=...)
    at kernel/qeventloop.cpp:201
#24 0x000000325a95aedb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#25 0x0000000000403791 in main (argc=2, argv=0x7fffffffdf98)
    at /usr/src/debug/kdebase-runtime-4.4.80/nepomuk/servicestub/main.cpp:152
(gdb)
Comment 3 mps 2010-05-28 14:59:43 UTC
More:
(gdb) break KInotify::Private::addWatchesRecursively
Breakpoint 1 at 0x7fffec612190
(gdb) run
The program being debugged has been started already.
Start it from the beginning? (y or n) y
Starting program: /usr/bin/nepomukservicestub nepomukfilewatch
[Thread debugging using libthread_db enabled]
[New Thread 0x7fffec601710 (LWP 5349)]

Breakpoint 1, 0x00007fffec612190 in KInotify::Private::addWatchesRecursively(QByteArray const&) ()
   from /usr/lib64/kde4/nepomukfilewatch.so
(gdb) step
Single stepping until exit from function _ZN8KInotify7Private21addWatchesRecursivelyERK10QByteArray, 
which has no line number information.
KDebug::hasNullOutput (type=QtDebugMsg, condition=true, area=300101, enableByDefault=false)
    at /usr/src/debug/kdelibs-4.4.80/kdecore/io/kdebug.cpp:786
786     {
(gdb) 
787         if (!condition) {
(gdb) 
786     {
(gdb) 
787         if (!condition) {
(gdb) 
790         if (kDebug_data.isDestroyed()) {
(gdb) 
794         KDebugPrivate *const d = kDebug_data;
(gdb) 
operator KDebugPrivate* (type=QtDebugMsg, condition=true, area=300101, enableByDefault=false)
    at /usr/src/debug/kdelibs-4.4.80/kdecore/io/kdebug.cpp:794
794         KDebugPrivate *const d = kDebug_data;
(gdb) 
operator-> (type=QtDebugMsg, condition=true, area=300101, enableByDefault=false)
    at /usr/src/debug/kdelibs-4.4.80/kdecore/io/kdebug.cpp:794
794         KDebugPrivate *const d = kDebug_data;
(gdb) 
operator! (type=QtDebugMsg, condition=true, area=300101, enableByDefault=false)
    at /usr/src/debug/kdelibs-4.4.80/kdecore/io/kdebug.cpp:794
794         KDebugPrivate *const d = kDebug_data;
(gdb) 
operator== (type=QtDebugMsg, condition=true, area=300101, enableByDefault=false)
    at /usr/include/QtCore/qbasicatomic.h:154
154             return _q_value == value;
(gdb) 
operator-> (type=QtDebugMsg, condition=true, area=300101, enableByDefault=false)
    at /usr/src/debug/kdelibs-4.4.80/kdecore/io/kdebug.cpp:666
666     K_GLOBAL_STATIC(KDebugPrivate, kDebug_data)
(gdb) 
operator KDebugPrivate* (type=QtDebugMsg, condition=<value optimized out>, area=300101, 
    enableByDefault=false) at /usr/include/QtCore/qbasicatomic.h:169
169             return _q_value;
(gdb) 
KDebug::hasNullOutput (type=QtDebugMsg, condition=<value optimized out>, area=300101, 
    enableByDefault=false) at /usr/src/debug/kdelibs-4.4.80/kdecore/io/kdebug.cpp:795
795         QMutexLocker locker(&d->mutex);
(gdb) 
QMutexLocker (type=QtDebugMsg, condition=<value optimized out>, area=300101, enableByDefault=false)
    at /usr/src/debug/kdelibs-4.4.80/kdecore/io/kdebug.cpp:795
795         QMutexLocker locker(&d->mutex);
(gdb) 
relock (type=QtDebugMsg, condition=<value optimized out>, area=300101, enableByDefault=false)
    at /usr/include/QtCore/qmutex.h:118

118             if (val) {
(gdb) 
KDebug::hasNullOutput (type=QtDebugMsg, condition=<value optimized out>, area=300101, 
    enableByDefault=false) at /usr/src/debug/kdelibs-4.4.80/kdecore/io/kdebug.cpp:795
795         QMutexLocker locker(&d->mutex);
(gdb) 
QMutexLocker (type=QtDebugMsg, condition=<value optimized out>, area=300101, enableByDefault=false)
    at /usr/include/QtCore/qmutex.h:98
98              : val(reinterpret_cast<quintptr>(m))
(gdb) 
102             relock();
(gdb) 
relock (type=QtDebugMsg, condition=<value optimized out>, area=300101, enableByDefault=false)
    at /usr/include/QtCore/qmutex.h:118
118             if (val) {
(gdb) 
119                 if ((val & quintptr(1u)) == quintptr(0u)) {
(gdb) 
KDebug::hasNullOutput (type=QtDebugMsg, condition=<value optimized out>, area=300101, 
    enableByDefault=false) at /usr/src/debug/kdelibs-4.4.80/kdecore/io/kdebug.cpp:795
795         QMutexLocker locker(&d->mutex);
(gdb) 
QMutexLocker (type=QtDebugMsg, condition=<value optimized out>, area=300101, enableByDefault=false)
    at /usr/src/debug/kdelibs-4.4.80/kdecore/io/kdebug.cpp:795
795         QMutexLocker locker(&d->mutex);
(gdb) 
relock (type=QtDebugMsg, condition=<value optimized out>, area=300101, enableByDefault=false)
    at /usr/include/QtCore/qmutex.h:120
120                     mutex()->lock();
(gdb) 
121                     val |= quintptr(1u);
(gdb) 
120                     mutex()->lock();
(gdb) 
QMutex::lock (this=0x731da0) at thread/qmutex.cpp:148
148     {
(gdb) 
151         if (d->recursive) {
(gdb) 
185         bool isLocked = d->contenders == 0 && d->contenders.testAndSetAcquire(0, 1);
(gdb) 
operator== (this=0x731da0) at ../../src/corelib/thread/qbasicatomic.h:70
70              return _q_value == value;
(gdb) 
QMutex::lock (this=0x731da0) at thread/qmutex.cpp:185
185         bool isLocked = d->contenders == 0 && d->contenders.testAndSetAcquire(0, 1);
(gdb) 
testAndSetAcquire (this=0x731da0) at thread/qmutex.cpp:185
185         bool isLocked = d->contenders == 0 && d->contenders.testAndSetAcquire(0, 1);
(gdb) 
testAndSetOrdered (this=0x731da0) at ../../src/corelib/arch/qatomic_x86_64.h:145
145                      : "memory");
(gdb) 
QMutex::lock (this=0x731da0) at thread/qmutex.cpp:185
185         bool isLocked = d->contenders == 0 && d->contenders.testAndSetAcquire(0, 1);
(gdb) 
229     }
(gdb) 
relock (type=QtDebugMsg, condition=<value optimized out>, area=300101, enableByDefault=false)
    at /usr/include/QtCore/qmutex.h:121
121                     val |= quintptr(1u);
(gdb) 
KDebug::hasNullOutput (type=QtDebugMsg, condition=<value optimized out>, area=300101, 
    enableByDefault=false) at /usr/src/debug/kdelibs-4.4.80/kdecore/io/kdebug.cpp:797
797         if (type == QtDebugMsg) {
(gdb) 
800                 if (entries[i] == area) {
(gdb) 
801                     return entries[i + 1];
(gdb) 
817         return ret;
(gdb) 
~QMutexLocker (type=<value optimized out>, condition=<value optimized out>, area=300101, 
    enableByDefault=false) at /usr/src/debug/kdelibs-4.4.80/kdecore/io/kdebug.cpp:817
817         return ret;
(gdb) 
unlock (type=<value optimized out>, condition=<value optimized out>, area=300101, 
    enableByDefault=false) at /usr/include/QtCore/qmutex.h:108
108             if (val) {
(gdb) 
109                 if ((val & quintptr(1u)) == quintptr(1u)) {
(gdb) 
111                     mutex()->unlock();
(gdb) 
QMutex::unlock (this=0x731da0) at thread/qmutex.cpp:372
372         if (d->recursive) {
(gdb) 
382             if (!d->contenders.testAndSetRelease(1, 0))
(gdb) 
testAndSetRelease (this=0x731da0) at thread/qmutex.cpp:382
382             if (!d->contenders.testAndSetRelease(1, 0))
(gdb) 
testAndSetOrdered (this=0x731da0) at ../../src/corelib/arch/qatomic_x86_64.h:145
145                      : "memory");
(gdb) 
QMutex::unlock (this=0x731da0) at thread/qmutex.cpp:382
382             if (!d->contenders.testAndSetRelease(1, 0))
(gdb) 
KDebug::hasNullOutput (type=<value optimized out>, condition=<value optimized out>, area=300101, 
    enableByDefault=false) at /usr/src/debug/kdelibs-4.4.80/kdecore/io/kdebug.cpp:818
818     }
(gdb) 
0x00007fffec612683 in KInotify::Private::addWatchesRecursively(QByteArray const&) ()
   from /usr/lib64/kde4/nepomukfilewatch.so
(gdb) 
Single stepping until exit from function _ZN8KInotify7Private21addWatchesRecursivelyERK10QByteArray, 
which has no line number information.
inotify_init () at ../sysdeps/unix/syscall-template.S:82
82      T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
(gdb)
Comment 4 Sebastian Trueg 2010-05-28 15:36:20 UTC
This is great. Could I only ask you one more thing, please: could you attach the backtrace instead of pasting it so the line breaks do not get scrambled. It makes it very hard to read. :)
Comment 5 Sebastian Trueg 2010-05-28 15:45:35 UTC
Actually, nevermind attaching the backtrace again. For some reason the full debug info from the crashing class is missing. Does Fedora have any other debug info you could install?
Comment 6 mps 2010-05-28 16:41:34 UTC
Sorry no. It's from kde-redhat so will email Rex Dieter and see if there is anything he can do.

cheers
M.
Comment 7 mps 2010-06-22 09:32:58 UTC
This persists in 4.5 beta 2.
Comment 8 Sebastian Trueg 2010-06-22 09:39:59 UTC
The backtrace is still missing the important bits. I would not know how to debug this at the moment, especially since I cannot reproduce it.
Comment 9 Andreas Kuhl 2010-06-22 10:16:23 UTC
Running KDE 4.4.86 and since this build (upgraded from beta1), the problem disappeared for me. Can anyone confirm?
Comment 10 mps 2010-07-21 11:43:10 UTC
Persists for me in 4.4.92.

Backtrace still doesn't give line number information, not sure what else I can do to help.

Cheers
M.
Comment 11 Sebastian Trueg 2010-07-27 12:00:31 UTC
*** Bug 243505 has been marked as a duplicate of this bug. ***
Comment 12 Sebastian Trueg 2010-07-27 14:42:04 UTC
*** Bug 245714 has been marked as a duplicate of this bug. ***
Comment 13 Pino Toscano 2010-08-09 17:46:55 UTC
*** Bug 246818 has been marked as a duplicate of this bug. ***
Comment 14 Pino Toscano 2010-08-11 10:40:50 UTC
*** Bug 247343 has been marked as a duplicate of this bug. ***
Comment 15 Alex Ball 2010-08-23 11:18:22 UTC
Created attachment 50857 [details]
New crash information added by DrKonqi

nepomukservicestub (0.2) on KDE Platform 4.5.00 (KDE 4.5.0) using Qt 4.7.0

- What I was doing when the application crashed:

Having upgraded Kubuntu 10.04 to KDE SC 4.5 (using the KDE backports PPA) I get this crash every time on startup.

-- Backtrace (Reduced):
#8  0x00007f05ec1264fb in __libc_message (do_abort=<value optimized out>, fmt=<value optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
#9  0x00007f05ec1305b6 in malloc_printerr (action=3, str=0x7f05ec203c00 "free(): invalid next size (fast)", ptr=<value optimized out>) at malloc.c:6264
[...]
#11 0x00007f05def646ea in KInotify::Private::addWatchesRecursively(QByteArray const&) () from /usr/lib/kde4/nepomukfilewatch.so
#12 0x00007f05def615ba in KInotify::Private::_k_addWatches (this=<value optimized out>, path=<value optimized out>, mode=<value optimized out>, flags=<value optimized out>)
    at ../../../../nepomuk/services/filewatch/kinotify.cpp:179
#13 KInotify::addWatch (this=<value optimized out>, path=<value optimized out>, mode=<value optimized out>, flags=<value optimized out>) at ../../../../nepomuk/services/filewatch/kinotify.cpp:269
Comment 16 Dario Andres 2010-11-18 21:02:44 UTC
*** Bug 251634 has been marked as a duplicate of this bug. ***
Comment 17 Dario Andres 2010-11-18 21:03:03 UTC
*** Bug 251581 has been marked as a duplicate of this bug. ***
Comment 18 mps 2010-11-27 15:43:44 UTC
Created attachment 53796 [details]
New crash information added by DrKonqi

nepomukservicestub (0.2) on KDE Platform 4.5.80 (4.6 Beta1) using Qt 4.7.1

- What I was doing when the application crashed:

Same Nepomuk crash as before, this time with 4.6 beta 1. The backtrace seems to have more line number information this time, so perhaps more useful?

-- Backtrace (Reduced):
#10 0x00007fc97bf6d915 in addWatchesRecursively (this=0x8fa0a0) at /usr/src/debug/kdebase-runtime-4.5.80/nepomuk/services/filewatch/kinotify.cpp:178
#11 KInotify::Private::_k_addWatches (this=0x8fa0a0) at /usr/src/debug/kdebase-runtime-4.5.80/nepomuk/services/filewatch/kinotify.cpp:198
#12 0x00007fc97bf6c7f1 in KInotify::qt_metacall (this=0x8f9fd0, _c=QMetaObject::InvokeMetaMethod, _id=15, _a=0x98d410) at /usr/src/debug/kdebase-runtime-4.5.80/x86_64-redhat-linux-gnu/nepomuk/services/filewatch/kinotify.moc:119
#13 0x000000346f36fb4a in QObject::event (this=0x8f9fd0, e=<value optimized out>) at kernel/qobject.cpp:1211
#14 0x0000003470bb78c4 in QApplicationPrivate::notify_helper (this=0x6efcb0, receiver=0x8f9fd0, e=0xb7e010) at kernel/qapplication.cpp:4445
Comment 19 Dario Andres 2010-12-04 16:25:15 UTC
*** Bug 258747 has been marked as a duplicate of this bug. ***
Comment 20 Dario Andres 2010-12-04 16:25:16 UTC
*** Bug 258236 has been marked as a duplicate of this bug. ***
Comment 21 Vishesh Handa 2010-12-25 23:53:13 UTC
*** Bug 261253 has been marked as a duplicate of this bug. ***
Comment 22 OsamaK 2011-01-08 04:24:05 UTC
Same crash on KDE 4.6 RC 1 on Fedora when I plugged an external hardisk . Below is the backtrace:

Application: Nepomuk Service Stub (nepomukservicestub), signal: Aborted
[Current thread is 1 (Thread 0xb78889b0 (LWP 2099))]

Thread 2 (Thread 0xb5626b70 (LWP 2109)):
#0  0x00f69416 in __kernel_vsyscall ()
#1  0x0069298b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x05ff4567 in wait (this=0x9233ed4, mutex=0x9233ed0, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#3  QWaitCondition::wait (this=0x9233ed4, mutex=0x9233ed0, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#4  0x011bf0ac in Nepomuk::MetadataMover::run (this=0x9233ec0) at /usr/src/debug/kdebase-runtime-4.5.90/nepomuk/services/filewatch/metadatamover.cpp:165
#5  0x05ff3e6a in QThreadPrivate::start (arg=0x9233ec0) at thread/qthread_unix.cpp:285
#6  0x0068df19 in start_thread () from /lib/libpthread.so.0
#7  0x005c7c4e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb78889b0 (LWP 2099)):
[KCrash Handler]
#7  0x00f69416 in __kernel_vsyscall ()
#8  0x00517531 in raise () from /lib/libc.so.6
#9  0x00518f9e in abort () from /lib/libc.so.6
#10 0x00554b9d in __libc_message () from /lib/libc.so.6
#11 0x0055d70f in free_check () from /lib/libc.so.6
#12 0x00560d73 in free () from /lib/libc.so.6
#13 0x00962fc2 in operator delete (ptr=0x9293b78) at ../../../../libstdc++-v3/libsupc++/del_op.cc:44
#14 0x0096301e in operator delete[] (ptr=0x9293b78) at ../../../../libstdc++-v3/libsupc++/del_opv.cc:32
#15 0x011c9662 in addWatchesRecursively (this=0x9234930) at /usr/src/debug/kdebase-runtime-4.5.90/nepomuk/services/filewatch/kinotify.cpp:178
#16 KInotify::Private::_k_addWatches (this=0x9234930) at /usr/src/debug/kdebase-runtime-4.5.90/nepomuk/services/filewatch/kinotify.cpp:198
#17 0x011c83c6 in KInotify::qt_metacall (this=0x92348c0, _c=QMetaObject::InvokeMetaMethod, _id=15, _a=0x92122b0) at /usr/src/debug/kdebase-runtime-4.5.90/i686-redhat-linux-gnu/nepomuk/services/filewatch/kinotify.moc:119
#18 0x060f1b6b in QMetaObject::metacall (object=0x92348c0, cl=QMetaObject::InvokeMetaMethod, idx=19, argv=0x92122b0) at kernel/qmetaobject.cpp:237
#19 0x060fc507 in QMetaCallEvent::placeMetaCall (this=0x928b428, object=0x92348c0) at kernel/qobject.cpp:534
#20 0x06100b4f in QObject::event (this=0x92348c0, e=0x928b428) at kernel/qobject.cpp:1211
#21 0x0224226c in QApplicationPrivate::notify_helper (this=0x9139980, receiver=0x92348c0, e=0x928b428) at kernel/qapplication.cpp:4445
#22 0x02246ed2 in QApplication::notify (this=0xbf8a8e18, receiver=0x92348c0, e=0x928b428) at kernel/qapplication.cpp:3845
#23 0x033407fb in KApplication::notify (this=0xbf8a8e18, receiver=0x92348c0, event=0x928b428) at /usr/src/debug/kdelibs-4.5.90/kdeui/kernel/kapplication.cpp:311
#24 0x060eb333 in QCoreApplication::notifyInternal (this=0xbf8a8e18, receiver=0x92348c0, event=0x928b428) at kernel/qcoreapplication.cpp:732
#25 0x060ef085 in sendEvent (receiver=0x0, event_type=0, data=0x91257c8) at kernel/qcoreapplication.h:215
#26 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x91257c8) at kernel/qcoreapplication.cpp:1373
#27 0x060ef25e in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1266
#28 0x06118eb5 in sendPostedEvents (s=0x913bf20) at kernel/qcoreapplication.h:220
#29 postEventSourceDispatch (s=0x913bf20) at kernel/qeventdispatcher_glib.cpp:277
#30 0x00791192 in g_main_dispatch (context=0x913be98) at gmain.c:2149
#31 g_main_context_dispatch (context=0x913be98) at gmain.c:2702
#32 0x00791978 in g_main_context_iterate (context=0x913be98, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2780
#33 0x00791c35 in g_main_context_iteration (context=0x913be98, may_block=1) at gmain.c:2843
#34 0x0611902d in QEventDispatcherGlib::processEvents (this=0x9139940, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#35 0x022f5406 in QGuiEventDispatcherGlib::processEvents (this=0x9139940, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#36 0x060ea4ca in QEventLoop::processEvents (this=0xbf8a8c74, flags=...) at kernel/qeventloop.cpp:149
#37 0x060ea77a in QEventLoop::exec (this=0xbf8a8c74, flags=...) at kernel/qeventloop.cpp:201
#38 0x060ef327 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#39 0x02240078 in QApplication::exec () at kernel/qapplication.cpp:3719
#40 0x0804b107 in main (argc=) at /usr/src/debug/kdebase-runtime-4.5.90/nepomuk/servicestub/main.cpp:165
Comment 23 Sebastian Trueg 2011-01-10 10:11:11 UTC
Does raising the inotify limit via "echo "50000" > /proc/sys/fs/inotify/max_user_watches" help?
Comment 24 Michał Zając 2011-01-10 14:36:46 UTC
Created attachment 55822 [details]
Backtrace

(In reply to comment #23)
> Does raising the inotify limit via "echo "50000" >
> /proc/sys/fs/inotify/max_user_watches" help?

Nope I still get the crash.

Backtrace attached
Comment 25 Pino Toscano 2011-01-12 10:01:28 UTC
*** Bug 262923 has been marked as a duplicate of this bug. ***
Comment 26 Pino Toscano 2011-01-12 11:02:48 UTC
*** Bug 262925 has been marked as a duplicate of this bug. ***
Comment 27 Sebastian Trueg 2011-01-14 19:10:02 UTC
*** Bug 262458 has been marked as a duplicate of this bug. ***
Comment 28 Sebastian Trueg 2011-01-14 19:19:59 UTC
Created attachment 56017 [details]
Patch attempting to fix the crash

Can someone please apply this patch in kdebase/runtime/nepomuk/services/filewatch and see if it fixes the crash. I was never able to reproduce it, thus I cannot really test the patch.
Comment 29 ojrajala 2011-01-15 23:06:49 UTC
Created attachment 56061 [details]
New crash information added by DrKonqi

nepomukservicestub (0.2) on KDE Platform 4.5.95 (4.6 RC2) using Qt 4.7.0

- What I was doing when the application crashed: using krunner to check system loads

- Unusual behavior I noticed: the whole system was getting more and more sluggish, and I managed to get a glimpse where virtuoso-t process was eating almost 1GB of memory

-- Backtrace (Reduced):
#10 0x00007fca4eeb4135 in KInotify::Private::addWatchesRecursively (this=0x13904b0)
    at /home/manutortosa/desktop-testing/kdebase-runtime/src/kdebase-runtime-4.5.95/nepomuk/services/filewatch/kinotify.cpp:178
#11 KInotify::Private::_k_addWatches (this=0x13904b0) at /home/manutortosa/desktop-testing/kdebase-runtime/src/kdebase-runtime-4.5.95/nepomuk/services/filewatch/kinotify.cpp:198
#12 0x00007fca4eeb3001 in KInotify::qt_metacall (this=0x13903e0, _c=QMetaObject::InvokeMetaMethod, _id=15, _a=0x154c490)
    at /home/manutortosa/desktop-testing/kdebase-runtime/src/kdebase-runtime-4.5.95/nepomuk/services/filewatch/kinotify.moc:119
#13 0x00007fca5f2de9ba in QObject::event (this=0x13903e0, e=<value optimized out>) at kernel/qobject.cpp:1219
#14 0x00007fca5d3222f4 in QApplicationPrivate::notify_helper (this=0x1218ab0, receiver=0x13903e0, e=0x1585930) at kernel/qapplication.cpp:4397
Comment 30 Pino Toscano 2011-01-16 00:38:01 UTC
*** Bug 263267 has been marked as a duplicate of this bug. ***
Comment 31 Arne Babenhauserheide 2011-01-21 19:04:33 UTC
Created attachment 56301 [details]
New crash information added by DrKonqi

nepomukservicestub (0.2) on KDE Platform 4.5.95 (4.6 RC2) using Qt 4.7.0

- What I was doing when the application crashed:

It crashes at startup. Sadly I don’t have debug enabled (takes too much space - I use a too small / partition… 

$ gdb --args nepomukservicestub nepomukfilewatch

GNU gdb (Gentoo 7.2 p1) 7.2
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
For bug reporting instructions, please see:
<http://bugs.gentoo.org/>...
Reading symbols from /usr/bin/nepomukservicestub...(no debugging symbols found)...done.
(gdb) run
Starting program: /usr/bin/nepomukservicestub nepomukfilewatch
[Thread debugging using libthread_db enabled]
"/usr/bin/nepomukservicestub(19973)" Soprano: "org.freedesktop.DBus.Error.NoReply - Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken."
"/usr/bin/nepomukservicestub(19973)" Soprano: "org.freedesktop.DBus.Error.NoReply - Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken."
[New Thread 0x7fffe7f5e710 (LWP 20036)]
[New Thread 0x7fffe6f25710 (LWP 20037)]
*** glibc detected *** /usr/bin/nepomukservicestub: free(): invalid pointer: 0x00000000008d31d0 ***
======= Backtrace: =========
/lib/libc.so.6(+0x72e3d)[0x7ffff533be3d]
/usr/lib64/kde4/nepomukfilewatch.so(+0x1896a)[0x7fffe817b96a]
/usr/lib64/kde4/nepomukfilewatch.so(+0x17a0d)[0x7fffe817aa0d]
/usr/lib64/qt4/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x36e)[0x7ffff7abadae]
/usr/lib64/qt4/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0x8c)[0x7ffff5b0234c]
/usr/lib64/qt4/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x14d)[0x7ffff5b07ecd]              
/usr/lib/libkdeui.so.5(_ZN12KApplication6notifyEP7QObjectP6QEvent+0x28)[0x7ffff6b66ce8]                     
/usr/lib64/qt4/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x6b)[0x7ffff7aa90eb] 
/usr/lib64/qt4/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x2d5)[0x7ffff7aabff5]                                                                                            
/usr/lib64/qt4/libQtCore.so.4(+0x198553)[0x7ffff7ad5553]                                                    
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1f9)[0x7ffff4bf9399]                                    
/usr/lib/libglib-2.0.so.0(+0x46220)[0x7ffff4bfd220]                                                         
/usr/lib/libglib-2.0.so.0(g_main_context_iteration+0x62)[0x7ffff4bfd3c2]                                    
/usr/lib64/qt4/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x5e)[0x7ffff7ad503e]                                                                                 
/usr/lib64/qt4/libQtGui.so.4(+0x278126)[0x7ffff5bb3126]                                                     
/usr/lib64/qt4/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x32)[0x7ffff7aa7e32]                                                                                                     
/usr/lib64/qt4/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xdd)[0x7ffff7aa81fd]   
/usr/lib64/qt4/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x9b)[0x7ffff7aac25b]                            
/usr/bin/nepomukservicestub[0x404144]                                                                       
/lib/libc.so.6(__libc_start_main+0xec)[0x7ffff52e7bec]                                                      
/usr/bin/nepomukservicestub[0x4034c9]                                                                       
======= Memory map: ========                                                                                
00400000-00407000 r-xp 00000000 08:03 466970                             /usr/bin/nepomukservicestub        
00606000-00607000 r--p 00006000 08:03 466970                             /usr/bin/nepomukservicestub        
00607000-00608000 rw-p 00007000 08:03 466970                             /usr/bin/nepomukservicestub        
00608000-008e8000 rw-p 00000000 00:00 0                                  [heap]                             
7fffe6725000-7fffe6726000 ---p 00000000 00:00 0                                                             
7fffe6726000-7fffe6f26000 rw-p 00000000 00:00 0                                                             
7fffe6f26000-7fffe6f31000 r-xp 00000000 08:03 1847849                    /lib64/libnss_files-2.11.2.so      
7fffe6f31000-7fffe7131000 ---p 0000b000 08:03 1847849                    /lib64/libnss_files-2.11.2.so
7fffe7131000-7fffe7132000 r--p 0000b000 08:03 1847849                    /lib64/libnss_files-2.11.2.so
7fffe7132000-7fffe7133000 rw-p 0000c000 08:03 1847849                    /lib64/libnss_files-2.11.2.so
7fffe7133000-7fffe713d000 r-xp 00000000 08:03 1847835                    /lib64/libnss_nis-2.11.2.so
7fffe713d000-7fffe733c000 ---p 0000a000 08:03 1847835                    /lib64/libnss_nis-2.11.2.so
7fffe733c000-7fffe733d000 r--p 00009000 08:03 1847835                    /lib64/libnss_nis-2.11.2.so
7fffe733d000-7fffe733e000 rw-p 0000a000 08:03 1847835                    /lib64/libnss_nis-2.11.2.so
7fffe733e000-7fffe7353000 r-xp 00000000 08:03 1847837                    /lib64/libnsl-2.11.2.so
7fffe7353000-7fffe7552000 ---p 00015000 08:03 1847837                    /lib64/libnsl-2.11.2.so
7fffe7552000-7fffe7553000 r--p 00014000 08:03 1847837                    /lib64/libnsl-2.11.2.so
7fffe7553000-7fffe7554000 rw-p 00015000 08:03 1847837                    /lib64/libnsl-2.11.2.so
7fffe7554000-7fffe7556000 rw-p 00000000 00:00 0 
7fffe7556000-7fffe755d000 r-xp 00000000 08:03 1847821                    /lib64/libnss_compat-2.11.2.so
7fffe755d000-7fffe775c000 ---p 00007000 08:03 1847821                    /lib64/libnss_compat-2.11.2.so
7fffe775c000-7fffe775d000 r--p 00006000 08:03 1847821                    /lib64/libnss_compat-2.11.2.so
7fffe775d000-7fffe775e000 rw-p 00007000 08:03 1847821                    /lib64/libnss_compat-2.11.2.so
7fffe775e000-7fffe775f000 ---p 00000000 00:00 0 
7fffe775f000-7fffe7f5f000 rw-p 00000000 00:00 0 
7fffe7f5f000-7fffe7f62000 r-xp 00000000 08:03 896633                     /usr/lib64/libnepomukcommon.so
7fffe7f62000-7fffe8161000 ---p 00003000 08:03 896633                     /usr/lib64/libnepomukcommon.so
7fffe8161000-7fffe8162000 r--p 00002000 08:03 896633                     /usr/lib64/libnepomukcommon.so
7fffe8162000-7fffe8163000 rw-p 00003000 08:03 896633                     /usr/lib64/libnepomukcommon.so
7fffe8163000-7fffe8181000 r-xp 00000000 08:03 1648514                    /usr/lib64/kde4/nepomukfilewatch.so
7fffe8181000-7fffe8381000 ---p 0001e000 08:03 1648514                    /usr/lib64/kde4/nepomukfilewatch.so
7fffe8381000-7fffe8382000 r--p 0001e000 08:03 1648514                    /usr/lib64/kde4/nepomukfilewatch.so
7fffe8382000-7fffe8383000 rw-p 0001f000 08:03 1648514                    /usr/lib64/kde4/nepomukfilewatch.so
7fffe8383000-7fffe854e000 r--s 00000000 08:05 633490                     /var/tmp/kdecache-arne/ksycoca4
7fffe854e000-7fffe8552000 r-xp 00000000 08:03 1029520                    /usr/lib64/kde4/plugins/imageformats/kimg_xview.so
7fffe8552000-7fffe8752000 ---p 00004000 08:03 1029520                    /usr/lib64/kde4/plugins/imageformats/kimg_xview.so
7fffe8752000-7fffe8753000 r--p 00004000 08:03 1029520                    /usr/lib64/kde4/plugins/imageformats/kimg_xview.so
7fffe8753000-7fffe8754000 rw-p 00005000 08:03 1029520                    /usr/lib64/kde4/plugins/imageformats/kimg_xview.so
7fffe8754000-7fffe8764000 r-xp 00000000 08:03 1029552                    /usr/lib64/kde4/plugins/imageformats/kimg_xcf.so
7fffe8764000-7fffe8963000 ---p 00010000 08:03 1029552                    /usr/lib64/kde4/plugins/imageformats/kimg_xcf.so
7fffe8963000-7fffe8964000 r--p 0000f000 08:03 1029552                    /usr/lib64/kde4/plugins/imageformats/kimg_xcf.so
7fffe8964000-7fffe8965000 rw-p 00010000 08:03 1029552                    /usr/lib64/kde4/plugins/imageformats/kimg_xcf.so
7fffe8965000-7fffe8969000 rw-p 00000000 00:00 0 
7fffe8969000-7fffe896e000 r-xp 00000000 08:03 1029549                    /usr/lib64/kde4/plugins/imageformats/kimg_tga.so
7fffe896e000-7fffe8b6e000 ---p 00005000 08:03 1029549                    /usr/lib64/kde4/plugins/imageformats/kimg_tga.so
7fffe8b6e000-7fffe8b6f000 r--p 00005000 08:03 1029549                    /usr/lib64/kde4/plugins/imageformats/kimg_tga.so
7fffe8b6f000-7fffe8b70000 rw-p 00006000 08:03 1029549                    /usr/lib64/kde4/plugins/imageformats/kimg_tga.so
7fffe8b70000-7fffe8b7a000 r-xp 00000000 08:03 1029553                    /usr/lib64/kde4/plugins/imageformats/kimg_rgb.so
7fffe8b7a000-7fffe8d79000 ---p 0000a000 08:03 1029553                    /usr/lib64/kde4/plugins/imageformats/kimg_rgb.so
7fffe8d79000-7fffe8d7a000 r--p 00009000 08:03 1029553                    /usr/lib64/kde4/plugins/imageformats/kimg_rgb.so
7fffe8d7a000-7fffe8d7b000 rw-p 0000a000 08:03 1029553                    /usr/lib64/kde4/plugins/imageformats/kimg_rgb.so
7fffe8d7b000-7fffe8d80000 r-xp 00000000 08:03 1029546                    /usr/lib64/kde4/plugins/imageformats/kimg_ras.so
7fffe8d80000-7fffe8f80000 ---p 00005000 08:03 1029546                    /usr/lib64/kde4/plugins/imageformats/kimg_ras.so
7fffe8f80000-7fffe8f81000 r--p 00005000 08:03 1029546                    /usr/lib64/kde4/plugins/imageformats/kimg_ras.so
7fffe8f81000-7fffe8f82000 rw-p 00006000 08:03 1029546                    /usr/lib64/kde4/plugins/imageformats/kimg_ras.so
7fffe8f82000-7fffe8f87000 r-xp 00000000 08:03 1029519                    /usr/lib64/kde4/plugins/imageformats/kimg_psd.so
7fffe8f87000-7fffe9186000 ---p 00005000 08:03 1029519                    /usr/lib64/kde4/plugins/imageformats/kimg_psd.so
7fffe9186000-7fffe9187000 r--p 00004000 08:03 1029519                    /usr/lib64/kde4/plugins/imageformats/kimg_psd.so
7fffe9187000-7fffe9188000 rw-p 00005000 08:03 1029519                    /us
Program received signal SIGABRT, Aborted.
0x00007ffff52fb475 in raise () from /lib/libc.so.6
(gdb) bt
#0  0x00007ffff52fb475 in raise () from /lib/libc.so.6
#1  0x00007ffff52fc7ff in abort () from /lib/libc.so.6
#2  0x00007ffff5336732 in __libc_message () from /lib/libc.so.6
#3  0x00007ffff533be3d in malloc_printerr () from /lib/libc.so.6
#4  0x00007fffe817b96a in KInotify::Private::addWatchesRecursively(QByteArray const&) ()
   from /usr/lib64/kde4/nepomukfilewatch.so
#5  0x00007fffe817aa0d in KInotify::qt_metacall(QMetaObject::Call, int, void**) ()
   from /usr/lib64/kde4/nepomukfilewatch.so
#6  0x00007ffff7abadae in QObject::event(QEvent*) () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00007ffff5b0234c in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /usr/lib64/qt4/libQtGui.so.4
#8  0x00007ffff5b07ecd in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#9  0x00007ffff6b66ce8 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#10 0x00007ffff7aa90eb in QCoreApplication::notifyInternal(QObject*, QEvent*) ()
   from /usr/lib64/qt4/libQtCore.so.4
#11 0x00007ffff7aabff5 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) ()
   from /usr/lib64/qt4/libQtCore.so.4
#12 0x00007ffff7ad5553 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) ()
   from /usr/lib64/qt4/libQtCore.so.4
#13 0x00007ffff4bf9399 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#14 0x00007ffff4bfd220 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#15 0x00007ffff4bfd3c2 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#16 0x00007ffff7ad503e in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib64/qt4/libQtCore.so.4
#17 0x00007ffff5bb3126 in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib64/qt4/libQtGui.so.4
#18 0x00007ffff7aa7e32 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib64/qt4/libQtCore.so.4
#19 0x00007ffff7aa81fd in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib64/qt4/libQtCore.so.4
#20 0x00007ffff7aac25b in QCoreApplication::exec() () from /usr/lib64/qt4/libQtCore.so.4
#21 0x0000000000404144 in main ()
(gdb)

-- Backtrace (Reduced):
#10 0x00007fdc403f396a in KInotify::Private::addWatchesRecursively(QByteArray const&) () from /usr/lib64/kde4/nepomukfilewatch.so
#11 0x00007fdc403f2a0d in KInotify::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/kde4/nepomukfilewatch.so
#12 0x00007fdc4fd32dae in QObject::event(QEvent*) () from /usr/lib64/qt4/libQtCore.so.4
#13 0x00007fdc4dd7a34c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#14 0x00007fdc4dd7fecd in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
Comment 32 Vasilis 2011-01-24 15:59:13 UTC
I think 264021 is a duplicate of this bug.
Comment 33 Pino Toscano 2011-01-26 16:48:16 UTC
*** Bug 264346 has been marked as a duplicate of this bug. ***
Comment 34 Pino Toscano 2011-01-28 10:34:01 UTC
*** Bug 264586 has been marked as a duplicate of this bug. ***
Comment 35 Gerhard Riener 2011-02-03 16:35:14 UTC
Created attachment 56827 [details]
New crash information added by DrKonqi

nepomukservicestub (0.2) on KDE Platform 4.6.00 (4.6.0) using Qt 4.7.1

- What I was doing when the application crashed:

Starting KDE, crashes right after start without warning

-- Backtrace (Reduced):
#10 0x00007fbc6b9e20ad in addWatchesRecursively (this=0x84e800) at /usr/src/debug/kdebase-runtime-4.6.0/nepomuk/services/filewatch/kinotify.cpp:178
#11 KInotify::Private::_k_addWatches (this=0x84e800) at /usr/src/debug/kdebase-runtime-4.6.0/nepomuk/services/filewatch/kinotify.cpp:198
#12 0x00007fbc6b9e0ec1 in KInotify::qt_metacall (this=0x84da20, _c=QMetaObject::InvokeMetaMethod, _id=15, _a=0x8b4e30) at /usr/src/debug/kdebase-runtime-4.6.0/build/nepomuk/services/filewatch/kinotify.moc:119
#13 0x00007fbc7b7feaba in QObject::event (this=0x84da20, e=<value optimized out>) at kernel/qobject.cpp:1211
#14 0x00007fbc79977d44 in QApplicationPrivate::notify_helper (this=0x626180, receiver=0x84da20, e=0x8bfe60) at kernel/qapplication.cpp:4445
Comment 36 Pavel Kolotnev 2011-02-05 10:27:38 UTC
Created attachment 56879 [details]
New crash information added by DrKonqi

nepomukservicestub (0.2) on KDE Platform 4.6.00 (4.6.0) using Qt 4.7.0

- What I was doing when the application crashed:

nepomuk crashes, when i starting KDE and try to login. disabling nepomuk service is not helps.

-- Backtrace (Reduced):
#8  0x00007f433dd8043b in __libc_message (do_abort=<value optimized out>, fmt=<value optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
#9  0x00007f433dd8a4b6 in malloc_printerr (action=3, str=0x7f433de5e098 "double free or corruption (!prev)", ptr=<value optimized out>) at malloc.c:6283
#10 0x00007f433dd90c83 in __libc_free (mem=<value optimized out>) at malloc.c:3738
#11 0x00007f432ff9ca4a in KInotify::Private::addWatchesRecursively(QByteArray const&) () from /usr/lib/kde4/nepomukfilewatch.so
#12 0x00007f432ff9ba70 in _k_addWatches (this=<value optimized out>, _c=<value optimized out>, _id=<value optimized out>, _a=<value optimized out>) at ../../../../nepomuk/services/filewatch/kinotify.cpp:197
Comment 37 Dario Andres 2011-02-12 16:52:10 UTC
*** Bug 266037 has been marked as a duplicate of this bug. ***
Comment 38 Juan De la Cruz 2011-02-12 22:49:15 UTC
Created attachment 57194 [details]
New crash information added by DrKonqi

nepomukservicestub (0.2) on KDE Platform 4.5.95 (4.6 RC2) using Qt 4.7.0

- What I was doing when the application crashed:

Crash occurs on KDE start, it continues to appear after first time.

-- Backtrace (Reduced):
#15 0x01dea4bf in KInotify::Private::addWatchesRecursively (this=0x0, path=...) at ../../../../nepomuk/services/filewatch/kinotify.cpp:178
#16 0x01de9431 in _k_addWatches (this=0x882b958, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x88b8ff8) at ../../../../nepomuk/services/filewatch/kinotify.cpp:197
#17 KInotify::qt_metacall (this=0x882b958, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x88b8ff8) at ./kinotify.moc:119
[...]
#20 0x002866a2 in QObject::event (this=0x882b958, e=0x6) at kernel/qobject.cpp:1219
#21 0x00f1cfdc in QApplicationPrivate::notify_helper (this=0x8773960, receiver=0x882b958, e=0x88ba6b0) at kernel/qapplication.cpp:4396
Comment 39 Pino Toscano 2011-02-17 10:41:25 UTC
*** Bug 266471 has been marked as a duplicate of this bug. ***
Comment 40 Dario Andres 2011-03-08 19:21:19 UTC
[Comment from a bug triager]
From 267646 (KDE 4.6.1):
-- Information about the crash:
I have been having this bug since 4.6.0, but thought someone else had reported
it.  Now I'm not so sure.  Have just upgraded to 4.6.1 and it's still here.

Whenever nepomuk is enabled, it just constantly crashes.  If I restart the
service, it crashes again.  If I opt not to restart the service, it crashes
again.  Only way to stop crashes is to bring up the nepomuk kcm and disable
nepomuk completely.
Comment 41 Dario Andres 2011-03-08 19:21:23 UTC
*** Bug 267646 has been marked as a duplicate of this bug. ***
Comment 42 Dario Andres 2011-04-17 00:21:33 UTC
*** Bug 270647 has been marked as a duplicate of this bug. ***
Comment 43 David Todd 2011-04-20 08:51:08 UTC
I have noticed that on the rare occasions that this crash does NOT happen then Dolphin does not work properly.  I am unable to open my home folder, Dolphin will open but it just sits there not showing any of the folders.  If I go direct into a sub folder then that works OK.  Also I have a network, CPU% and CPU temp widget on my desktop and they do not work if the crash does not happen.  

If the crash DOES occur then everything is fine (apart from nepomuk of course).
Comment 44 David Todd 2011-04-21 09:09:21 UTC
Further to my previous comment (#43), this issue also affects Amarok.

If the nepomuk crash does NOT happen then Amarok freezes if you try and go into the settings menu.  The only way out of this is to log out and back in again.

Again, if nepomuk DOES crash on start up then tere are no problems with Amarok.
Comment 45 Dario Andres 2011-05-01 16:49:49 UTC
*** Bug 271282 has been marked as a duplicate of this bug. ***
Comment 46 Christoph Feck 2011-07-23 02:17:58 UTC
*** Bug 270940 has been marked as a duplicate of this bug. ***
Comment 47 Sebastian Trueg 2011-09-19 07:21:06 UTC
*** Bug 276344 has been marked as a duplicate of this bug. ***
Comment 48 Sebastian Trueg 2011-09-19 08:01:48 UTC
Created attachment 63760 [details]
Patch against kde-runtime/nepomuk

Please apply this patch to kde-runtime/nepomuk with -p1 and let me know if it fixes the problem.
Comment 49 Sebastian Trueg 2011-09-19 08:49:58 UTC
*** Bug 280384 has been marked as a duplicate of this bug. ***
Comment 50 Sebastian Trueg 2011-09-19 08:50:19 UTC
*** Bug 278395 has been marked as a duplicate of this bug. ***
Comment 51 Thomas 'PointedEars' Lahn 2011-10-20 00:16:26 UTC
No more of those reproducible Nepomuk crashes after the following upgrades on Debian GNU/Linux (most of which to fulfill dependencies):

[UPGRADE] kdelibs-bin 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] kdelibs5-data 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] kdelibs5-plugins 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] kdoctools 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libacl1 2.2.49-4 -> 2.2.51-3
[UPGRADE] libkatepartinterfaces4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkcmutils4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkde3support4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkdecore5 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkdesu5 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkdeui5 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkdewebkit5 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkdnssd4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkemoticons4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkfile4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkhtml5 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkidletime4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkimproxy4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkio5 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkjsapi4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkjsembed4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkmediaplayer4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libknewstuff2-4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libknewstuff3-4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libknotifyconfig4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkntlm4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkparts4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkprintutils4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkpty4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkrosscore4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libktexteditor4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkunitconversion4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libkutils4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libnepomuk4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libnepomukquery4a 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libnepomukutils4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libplasma3 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libsolid4 4:4.6.4-1 -> 4:4.6.5-2
[UPGRADE] libthreadweaver4 4:4.6.4-1 -> 4:4.6.5-2

[UPGRADE] libvirtodbc0 6.1.2+dfsg1-1 -> 6.1.3+dfsg1-1
[UPGRADE] virtuoso-minimal 6.1.2+dfsg1-1 -> 6.1.3+dfsg1-1
[UPGRADE] virtuoso-opensource-6.1-bin 6.1.2+dfsg1-1 -> 6.1.3+dfsg1-1
[UPGRADE] virtuoso-opensource-6.1-common 6.1.2+dfsg1-1 -> 6.1.3+dfsg1-1

The second set of upgrades fixed Nepomuk start-up complains that it could not find Virtuoso server.

After that kcm says the Nepomuk service is active and Strigi tells that it is indexing where it was configured to.
Comment 52 Christophe Giboudeaux 2012-04-21 17:24:11 UTC
Still valid in master. The patch in comment #48 has no effect
Comment 53 Christophe Giboudeaux 2012-04-21 17:25:58 UTC
With the patch applied:

Thread 4 (Thread 0x7fffead4d700 (LWP 764)):
#0  0x00007ffff5e69ec3 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007ffff7ab006f in qt_safe_select (nfds=26, fdread=0x7fffead4c840, fdwrite=0x7fffead4c8c0, fdexcept=0x0, orig_timeout=0x7fffead4c940) at kernel/qcore_unix.cpp:93
#2  0x00007ffff48681af in QNativeSocketEnginePrivate::nativeSelect (this=0x6c79e0, timeout=600000, checkRead=<optimized out>, checkWrite=<optimized out>, selectForRead=0x7fffead4ca0e, selectForWrite=0x7fffead4ca0f)
    at socket/qnativesocketengine_unix.cpp:1115
#3  0x00007ffff48661c8 in QNativeSocketEngine::waitForReadOrWrite (this=<optimized out>, readyToRead=0x7fffead4ca0e, readyToWrite=0x7fffead4ca0f, checkRead=true, checkWrite=<optimized out>, msecs=600000, timedOut=0x0)
    at socket/qnativesocketengine.cpp:1000
#4  0x00007ffff485dce5 in QAbstractSocket::waitForReadyRead (this=0x6988d8, msecs=600000) at socket/qabstractsocket.cpp:1891
#5  0x00007ffff7e8f590 in Soprano::Client::ClientConnection::iteratorNext (this=0x63c3b0, id=1551088741) at /kde/src/soprano/client/clientconnection.cpp:544
#6  0x00007ffff7e93eb8 in Soprano::Client::ClientQueryResultIteratorBackend::next (this=0x6d8fe0) at /kde/src/soprano/client/clientqueryresultiteratorbackend.cpp:46
#7  0x00007fffebda4aa5 in Soprano::Iterator<Soprano::BindingSet>::next (this=0x7fffead4cbc0) at /kde/inst/soprano/include/Soprano/../soprano/iterator.h:239
#8  0x00007fffebda6766 in Nepomuk::InvalidFileResourceCleaner::run (this=0x69dd70) at /kde/src/kdebase/kde-runtime/nepomuk/services/filewatch/invalidfileresourcecleaner.cpp:82
#9  0x00007ffff798647b in QThreadPrivate::start (arg=0x69dd70) at thread/qthread_unix.cpp:298
#10 0x00007ffff76efdaa in start_thread (arg=0x7fffead4d700) at pthread_create.c:305
#11 0x00007ffff5e700ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7fffeb54e700 (LWP 763)):
#0  0x00007ffff5e681d3 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ffff54bdd26 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007ffff54bde54 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007ffff7ab311f in QEventDispatcherGlib::processEvents (this=0x5623b0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007ffff7a82f02 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007ffff7a83157 in QEventLoop::exec (this=0x7fffeb54ddd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007ffff7983457 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007ffff7a62cef in QInotifyFileSystemWatcherEngine::run (this=0x652840) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007ffff798647b in QThreadPrivate::start (arg=0x652840) at thread/qthread_unix.cpp:298
#9  0x00007ffff76efdaa in start_thread (arg=0x7fffeb54e700) at pthread_create.c:305
#10 0x00007ffff5e700ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7fffebd4f700 (LWP 761)):
#0  0x00007ffff5e681d3 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ffff54bdd26 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007ffff54bde54 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007ffff7ab311f in QEventDispatcherGlib::processEvents (this=0x637610, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007ffff7a82f02 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007ffff7a83157 in QEventLoop::exec (this=0x7fffebd4ee00, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007ffff7983457 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007ffff798647b in QThreadPrivate::start (arg=0x57f570) at thread/qthread_unix.cpp:298
#8  0x00007ffff76efdaa in start_thread (arg=0x7fffebd4f700) at pthread_create.c:305
#9  0x00007ffff5e700ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7ffff7e6a780 (LWP 757)):
#0  0x00007ffff5dc0b25 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x00007ffff5dc1f9b in __GI_abort () at abort.c:91
#2  0x00007ffff5dff2ce in __libc_message (do_abort=2, fmt=0x7ffff5ef0110 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:198
#3  0x00007ffff5e04ee6 in malloc_printerr (action=3, str=0x7ffff5eed0a3 "free(): invalid pointer", ptr=<optimized out>) at malloc.c:5007
#4  0x00007fffebdb120c in QScopedPointerArrayDeleter<char>::cleanup (pointer=0x6c0000 "j\361/") at /usr/include/QtCore/qscopedpointer.h:77
#5  0x00007fffebdb0405 in QScopedPointer<char, QScopedPointerArrayDeleter<char> >::~QScopedPointer (this=0x7fffffffb390, __in_chrg=<optimized out>) at /usr/include/QtCore/qscopedpointer.h:100
#6  0x00007fffebdafa24 in QScopedArrayPointer<char, QScopedPointerArrayDeleter<char> >::~QScopedArrayPointer (this=0x7fffffffb390, __in_chrg=<optimized out>) at /usr/include/QtCore/qscopedpointer.h:208
#7  0x00007fffebdaf9ff in KInotify::Private::addWatchesRecursively (this=0x63e820, path=...) at /kde/src/kdebase/kde-runtime/nepomuk/services/filewatch/kinotify.cpp:187
#8  0x00007fffebdafbba in KInotify::Private::_k_addWatches (this=0x63e820) at /kde/src/kdebase/kde-runtime/nepomuk/services/filewatch/kinotify.cpp:200
#9  0x00007fffebdae7bf in KInotify::qt_static_metacall (_o=0x63e750, _c=QMetaObject::InvokeMetaMethod, _id=15, _a=0x5740a0) at /kde/build/kdebase/kde-runtime/nepomuk/services/filewatch/kinotify.moc:96
#10 0x00007ffff7a9d1a6 in QObject::event (this=0x63e750, e=<optimized out>) at kernel/qobject.cpp:1204
#11 0x00007ffff6612134 in notify_helper (e=0x64ad20, receiver=0x63e750, this=0x43cdf0) at kernel/qapplication.cpp:4554
#12 QApplicationPrivate::notify_helper (this=0x43cdf0, receiver=0x63e750, e=0x64ad20) at kernel/qapplication.cpp:4526
---Type <return> to continue, or q <return> to quit---
#13 0x00007ffff6616fb3 in QApplication::notify (this=0x7fffffffbfc0, receiver=0x63e750, e=0x64ad20) at kernel/qapplication.cpp:4415
#14 0x00007ffff7a8411c in QCoreApplication::notifyInternal (this=0x7fffffffbfc0, receiver=0x63e750, event=0x64ad20) at kernel/qcoreapplication.cpp:876
#15 0x00007ffff7a879ba in sendEvent (event=0x64ad20, receiver=0x63e750) at kernel/qcoreapplication.h:231
#16 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x40c360) at kernel/qcoreapplication.cpp:1500
#17 0x00007ffff7ab2cf3 in sendPostedEvents () at kernel/qcoreapplication.h:236
#18 postEventSourceDispatch (s=0x42c990) at kernel/qeventdispatcher_glib.cpp:279
#19 0x00007ffff54bd9ca in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#20 0x00007ffff54bdd90 in ?? () from /usr/lib64/libglib-2.0.so.0
#21 0x00007ffff54bde54 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#22 0x00007ffff7ab311f in QEventDispatcherGlib::processEvents (this=0x411e30, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#23 0x00007ffff66b577e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#24 0x00007ffff7a82f02 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#25 0x00007ffff7a83157 in QEventLoop::exec (this=0x7fffffffbed0, flags=...) at kernel/qeventloop.cpp:204
#26 0x00007ffff7a87cb5 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#27 0x00000000004048b0 in main (argc=2, argv=0x7fffffffc4a8) at /kde/src/kdebase/kde-runtime/nepomuk/servicestub/main.cpp:168
Comment 54 Vishesh Handa 2012-05-26 09:38:42 UTC
*** Bug 282260 has been marked as a duplicate of this bug. ***
Comment 55 Vishesh Handa 2012-05-26 12:06:31 UTC
*** Bug 286877 has been marked as a duplicate of this bug. ***
Comment 56 Vishesh Handa 2012-06-16 13:02:09 UTC
Git commit aae24be923c0868725952e3df35b11bc76c7b4ce by Vishesh Handa.
Committed on 16/06/2012 at 11:45.
Pushed by vhanda into branch 'master'.

kinotify: Replace manual directory iteration code with QDirIterator

The existing code has been causing crashes since KDE 4.5, and is very
hard to maintain since no one really understands it properly.

Funnily enough, this version detects a lot of directories that the old
code did not. Weird.
REVIEW: 105275

M  +6    -41   services/filewatch/kinotify.cpp

http://commits.kde.org/nepomuk-core/aae24be923c0868725952e3df35b11bc76c7b4ce
Comment 57 Jekyll Wu 2012-07-06 16:36:00 UTC
*** Bug 300318 has been marked as a duplicate of this bug. ***